summaryrefslogtreecommitdiffstats
path: root/deliveries/src
diff options
context:
space:
mode:
Diffstat (limited to 'deliveries/src')
-rwxr-xr-xdeliveries/src/main/docker/docker-files/Dockerfile3
-rwxr-xr-xdeliveries/src/main/scripts/localize.sh29
-rwxr-xr-xdeliveries/src/main/scripts/localize_asdc.sh4
-rwxr-xr-xdeliveries/src/main/scripts/localize_cache.sh4
-rwxr-xr-xdeliveries/src/main/scripts/localize_log4j.sh4
-rwxr-xr-xdeliveries/src/main/scripts/localize_logback.sh4
-rwxr-xr-xdeliveries/src/main/scripts/localize_portal.sh4
-rwxr-xr-xdeliveries/src/main/scripts/localize_quartz.sh4
-rwxr-xr-xdeliveries/src/main/scripts/localize_system.sh4
-rwxr-xr-xdeliveries/src/main/scripts/localize_war.sh12
10 files changed, 39 insertions, 33 deletions
diff --git a/deliveries/src/main/docker/docker-files/Dockerfile b/deliveries/src/main/docker/docker-files/Dockerfile
index ddaa8615b..8cd2bc7aa 100755
--- a/deliveries/src/main/docker/docker-files/Dockerfile
+++ b/deliveries/src/main/docker/docker-files/Dockerfile
@@ -29,7 +29,7 @@ ENV VID_AAI_HOST aai.api.simpledemo.onap.org
ENV VID_AAI_PORT 8443
ENV VID_APP_DISPLAY_NAME VID
ENV VID_ECOMP_SHARED_CONTEXT_REST_URL https://portal.api.simpledemo.onap.org:8080/onapportal/context
-ENV VID_MSO_SERVER_URL http://vm1.mso.simpledemo.onap.org:8080
+ENV VID_MSO_SERVER_URL http://vm1.mso.simpledemo.onap.org:8080/onap/so/infra
ENV VID_MYLOGIN_FEED_DIRECTORY /tmp/MyLogins
ENV VID_MSO_USER InfraPortalClient
ENV VID_MSO_PASS OBF:1ih71i271vny1yf41ymf1ylz1yf21vn41hzj1icz
@@ -49,6 +49,7 @@ ENV AAI_VNF_PROV_STATUS PREPROV,NVTPROV,PROV,CAPPED
ENV VID_ECOMP_REDIRECT_URL http://portal.api.simpledemo.onap.org:8989/ONAPPORTAL/login.htm
ENV VID_ECOMP_REST_URL http://portal.api.simpledemo.onap.org:8989/ONAPPORTAL/auxapi
ENV VID_ECOMP_SHARED_CONTEXT_REST_URL http://portal.api.simpledemo.onap.org:8989/ONAPPORTAL/context
+ENV VID_ROLE_ACCESS_CENTRALIZED local
ENV VID_CONTACT_US_LINK https://todo_contact_us_link.com
ENV VID_DECRYPTION_KEY AGLDdG4D04BKm2IxIWEr8o=
diff --git a/deliveries/src/main/scripts/localize.sh b/deliveries/src/main/scripts/localize.sh
index 3966f7023..aca557f36 100755
--- a/deliveries/src/main/scripts/localize.sh
+++ b/deliveries/src/main/scripts/localize.sh
@@ -1,18 +1,23 @@
#!/bin/bash
-#Extract the WAR so it can be customized by the localization script
-cd /tmp/vid/stage
-jar -xf vid.war
+fillTemplateProperties() {
+ source /tmp/vid/localize_war.sh $1 || {
+ echo "ERROR: Localization script failed"
+ exit 2
+ }
+}
-source /tmp/vid/localize_war.sh || {
- echo "ERROR: Localization script failed"
- exit 2
+deployWarOnTomcatManually() {
+ cd /usr/local/tomcat/webapps/
+ mkdir vid
+ cd vid
+ jar -xf /tmp/vid/stage/vid.war
}
-#Create the customized WAR and deploy it to Tomcat
-mkdir -p /tmp/vid/deployed
-cd /tmp/vid/stage
-jar -cvf /tmp/vid/deployed/vid.war .
-cd
-mv -f /tmp/vid/deployed/vid.war /usr/local/tomcat/webapps
+deployWarOnTomcatManually
+
+TEMPLATES_BASE_DIR=/usr/local/tomcat/webapps/vid/WEB-INF
+
+fillTemplateProperties ${TEMPLATES_BASE_DIR}
+
catalina.sh run
diff --git a/deliveries/src/main/scripts/localize_asdc.sh b/deliveries/src/main/scripts/localize_asdc.sh
index 549c17af1..af483186f 100755
--- a/deliveries/src/main/scripts/localize_asdc.sh
+++ b/deliveries/src/main/scripts/localize_asdc.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/asdc.properties
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/asdc_template.properties
+FINAL_CONFIG_FILE=$1/conf/asdc.properties
+TEMPLATE_CONFIG_FILE=$1/conf/asdc_template.properties
echo "Localizing the ASDC client configuration"
diff --git a/deliveries/src/main/scripts/localize_cache.sh b/deliveries/src/main/scripts/localize_cache.sh
index d25949ccc..2d676c373 100755
--- a/deliveries/src/main/scripts/localize_cache.sh
+++ b/deliveries/src/main/scripts/localize_cache.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/cache.ccf
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/cache_template.ccf
+FINAL_CONFIG_FILE=$1/classes/cache.ccf
+TEMPLATE_CONFIG_FILE=$1/classes/cache_template.ccf
echo "Localizing the VID cache configuration"
diff --git a/deliveries/src/main/scripts/localize_log4j.sh b/deliveries/src/main/scripts/localize_log4j.sh
index d2ab2bba4..121f5673a 100755
--- a/deliveries/src/main/scripts/localize_log4j.sh
+++ b/deliveries/src/main/scripts/localize_log4j.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j.properties
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j_template.properties
+FINAL_CONFIG_FILE=$1/conf/log4j.properties
+TEMPLATE_CONFIG_FILE=$1/conf/log4j_template.properties
echo "Localizing the VID log4j configuration"
diff --git a/deliveries/src/main/scripts/localize_logback.sh b/deliveries/src/main/scripts/localize_logback.sh
index 43798eb84..a0f177337 100755
--- a/deliveries/src/main/scripts/localize_logback.sh
+++ b/deliveries/src/main/scripts/localize_logback.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/logback.xml
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/logback_template.xml
+FINAL_CONFIG_FILE=$1/classes/logback.xml
+TEMPLATE_CONFIG_FILE=$1/classes/logback_template.xml
echo "Localizing the VID logback configuration"
diff --git a/deliveries/src/main/scripts/localize_portal.sh b/deliveries/src/main/scripts/localize_portal.sh
index f29d485eb..947e0e1d0 100755
--- a/deliveries/src/main/scripts/localize_portal.sh
+++ b/deliveries/src/main/scripts/localize_portal.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/portal.properties
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/portal_template.properties
+FINAL_CONFIG_FILE=$1/classes/portal.properties
+TEMPLATE_CONFIG_FILE=$1/classes/portal_template.properties
echo "Localizing the VID portal configuration"
diff --git a/deliveries/src/main/scripts/localize_quartz.sh b/deliveries/src/main/scripts/localize_quartz.sh
index c284e6c24..c22d8793a 100755
--- a/deliveries/src/main/scripts/localize_quartz.sh
+++ b/deliveries/src/main/scripts/localize_quartz.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/quartz.properties
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/quartz_template.properties
+FINAL_CONFIG_FILE=$1/conf/quartz.properties
+TEMPLATE_CONFIG_FILE=$1/conf/quartz_template.properties
echo "Localizing the VID quartz configuration"
diff --git a/deliveries/src/main/scripts/localize_system.sh b/deliveries/src/main/scripts/localize_system.sh
index a739335be..0947d49ea 100755
--- a/deliveries/src/main/scripts/localize_system.sh
+++ b/deliveries/src/main/scripts/localize_system.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/system.properties
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/system_template.properties
+FINAL_CONFIG_FILE=$1/conf/system.properties
+TEMPLATE_CONFIG_FILE=$1/conf/system_template.properties
echo "Localizing the VID system configuration"
diff --git a/deliveries/src/main/scripts/localize_war.sh b/deliveries/src/main/scripts/localize_war.sh
index f0669e0e6..99cb177ed 100755
--- a/deliveries/src/main/scripts/localize_war.sh
+++ b/deliveries/src/main/scripts/localize_war.sh
@@ -1,31 +1,31 @@
#!/bin/bash
-source /tmp/vid/localize_logback.sh || {
+source /tmp/vid/localize_logback.sh $1 || {
echo "ERROR: Localizing logback.xml failed"
exit 1
}
-source /tmp/vid/localize_portal.sh || {
+source /tmp/vid/localize_portal.sh $1 || {
echo "ERROR: Localizing portal.properties failed"
exit 1
}
-source /tmp/vid/localize_quartz.sh || {
+source /tmp/vid/localize_quartz.sh $1 || {
echo "ERROR: Localizing quartz.properties failed"
exit 1
}
-source /tmp/vid/localize_system.sh || {
+source /tmp/vid/localize_system.sh $1 || {
echo "ERROR: Localizing system.properties failed"
exit 1
}
-source /tmp/vid/localize_cache.sh || {
+source /tmp/vid/localize_cache.sh $1 || {
echo "ERROR: Localizing cache.ccf failed"
exit 1
}
-source /tmp/vid/localize_asdc.sh || {
+source /tmp/vid/localize_asdc.sh $1 || {
echo "ERROR: Localizing asdc.properties failed"
exit 1
}